
%global rhevm_3rd %{_datadir}/rhevm/3rd-party-lib

Name: quartz-rhevm
Version: 1.8.3
Release: 5
License: ASL 2.0
Summary: Job scheduler for use with Red Hat Enterprise Virtualization Manager
Group: Development/Libraries/Java
URL: http://www.quartz-scheduler.org/

Source0: org.quartz-scheduler-quartz-parent-1.8.3-sources.zip
Source1: quartz-jboss-1.8.3-sources.jar
Source2: quartz-jboss-1.8.3.pom
Source3: quartz-jboss-1.8.3.jar
Source4: quartz-parent-1.8.3.pom
Source5: quartz-1.8.3.pom
Source6: quartz-1.8.3.jar
Source7: quartz-1.8.3-sources.jar

Obsoletes: quartz < %{version}-%{release}
Provides: quartz = %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
Quartz is a full-featured, open source job scheduling service that can be
integrated with, or used along side virtually any Java EE or Java SE
application. Quartz can be used to create simple or complex schedules
for executing tens, hundreds, or even tens-of-thousands of jobs; jobs whose
tasks are defined as standard Java components that may execute virtually
anything you may program them to do.

This package is designed exclusively for use with Red Hat Enterprise
Virtualization Manager.

%prep

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_datadir}/rhevm/3rd-party-lib
install -d %{buildroot}%{_datadir}/java-signed

install -m 644 %{SOURCE3} %{buildroot}%{rhevm_3rd}/quartz-jboss-1.8.3.jar
ln -s %{rhevm_3rd}/quartz-jboss-1.8.3.jar %{buildroot}%{_datadir}/java-signed/quartz-jboss-1.8.3.jar
ln -s %{rhevm_3rd}/quartz-jboss-1.8.3.jar %{buildroot}%{_datadir}/java-signed/quartz-jboss.jar
install -m 644 %{SOURCE6} %{buildroot}%{rhevm_3rd}/quartz-1.8.3.jar
ln -s %{rhevm_3rd}/quartz-1.8.3.jar %{buildroot}%{_datadir}/java-signed/quartz-1.8.3.jar
ln -s %{rhevm_3rd}/quartz-1.8.3.jar %{buildroot}%{_datadir}/java-signed/quartz.jar

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{rhevm_3rd}/quartz-jboss-1.8.3.jar
%{_datadir}/java-signed/quartz-jboss-1.8.3.jar
%{_datadir}/java-signed/quartz-jboss.jar
%{rhevm_3rd}/quartz-1.8.3.jar
%{_datadir}/java-signed/quartz-1.8.3.jar
%{_datadir}/java-signed/quartz.jar

%changelog
* Wed Jun 20 2012 Juan Hernandez <juan.hernandez@redhat.com> - 1.8.3-5
- Make sure that links without version number in /usr/share/java-signed are
  created and owned by the package (rhbz#830179)

* Wed May 23 2012 Michael Bonnet <mikeb@rcm-dev.app.eng.bos.redhat.com> - 1.8.3-4
- Obsolete the old quartz package and Provide: quartz
- Symlink the quartz jars into /usr/share/java-signed

* Thu May 19 2011 Mike Bonnet <mikeb@redhat.com> - 1.8.3-1
- Initial build
